## traintrain 1.8.1-1

=== debian/changelog ===
traintrain (1.8.1-1) stable; urgency=low

  Morning/Evening feature, loads only data for corresponding rides

 -- Gérald Fauvelle <maemo@fauvelle.net>  Thu, 13 Oct 2011 16:45:59 +0000
