=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/traintrain" install
	mkdir -p "$(CURDIR)/debian/traintrain"

#	mkdir -p "$(CURDIR)/debian/traintrain/usr/share/icons/hicolor/64x64/apps/"
	cp -a "src/usr/share/icons/hicolor/64x64/apps/traintrain.png" "$(CURDIR)/debian/traintrain/usr/share/icons/hicolor/64x64/apps/traintrain.png"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/16x16/"
	cp -a "src/opt/traintrain/icons/tec/16x16/M.png" "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/16x16/M.png"
	mkdir -p "$(CURDIR)/debian/traintrain/usr/share/icons/hicolor/48x48/apps/"
	cp -a "src/usr/share/icons/hicolor/48x48/apps/traintrain.png" "$(CURDIR)/debian/traintrain/usr/share/icons/hicolor/48x48/apps/traintrain.png"
	mkdir -p "$(CURDIR)/debian/traintrain/usr/share/icons/hicolor/40x40/apps/"
	cp -a "src/usr/share/icons/hicolor/40x40/apps/traintrain.png" "$(CURDIR)/debian/traintrain/usr/share/icons/hicolor/40x40/apps/traintrain.png"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/view/"
	cp -a "src/opt/traintrain/view/AddRide.py" "$(CURDIR)/debian/traintrain/opt/traintrain/view/AddRide.py"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/view/"
	cp -a "src/opt/traintrain/view/CircleProgress.py" "$(CURDIR)/debian/traintrain/opt/traintrain/view/CircleProgress.py"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/view/"
	cp -a "src/opt/traintrain/view/RideView.py" "$(CURDIR)/debian/traintrain/opt/traintrain/view/RideView.py"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/view/"
	cp -a "src/opt/traintrain/view/SettingsDlg.py" "$(CURDIR)/debian/traintrain/opt/traintrain/view/SettingsDlg.py"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/view/"
	cp -a "src/opt/traintrain/view/TimePicker.py" "$(CURDIR)/debian/traintrain/opt/traintrain/view/TimePicker.py"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/view/"
	cp -a "src/opt/traintrain/view/TrainTrainView.py" "$(CURDIR)/debian/traintrain/opt/traintrain/view/TrainTrainView.py"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/view/"
	cp -a "src/opt/traintrain/view/__init__.py" "$(CURDIR)/debian/traintrain/opt/traintrain/view/__init__.py"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/extractors/"
	cp -a "src/opt/traintrain/extractors/Extractor.py" "$(CURDIR)/debian/traintrain/opt/traintrain/extractors/Extractor.py"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/extractors/"
	cp -a "src/opt/traintrain/extractors/ExtractorBus.py" "$(CURDIR)/debian/traintrain/opt/traintrain/extractors/ExtractorBus.py"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/extractors/"
	cp -a "src/opt/traintrain/extractors/ExtractorMetro.py" "$(CURDIR)/debian/traintrain/opt/traintrain/extractors/ExtractorMetro.py"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/extractors/"
	cp -a "src/opt/traintrain/extractors/ExtractorRERratp.py" "$(CURDIR)/debian/traintrain/opt/traintrain/extractors/ExtractorRERratp.py"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/extractors/"
	cp -a "src/opt/traintrain/extractors/ExtractorTramway.py" "$(CURDIR)/debian/traintrain/opt/traintrain/extractors/ExtractorTramway.py"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/extractors/"
	cp -a "src/opt/traintrain/extractors/ExtractorTransilien.py" "$(CURDIR)/debian/traintrain/opt/traintrain/extractors/ExtractorTransilien.py"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/extractors/"
	cp -a "src/opt/traintrain/extractors/__init__.py" "$(CURDIR)/debian/traintrain/opt/traintrain/extractors/__init__.py"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/"
	cp -a "src/opt/traintrain/icons/tec/32x32/B.png" "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/B.png"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/"
	cp -a "src/opt/traintrain/icons/tec/32x32/BB101.png" "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/BB101.png"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/"
	cp -a "src/opt/traintrain/icons/tec/32x32/BB102.png" "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/BB102.png"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/"
	cp -a "src/opt/traintrain/icons/tec/32x32/BB103.png" "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/BB103.png"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/"
	cp -a "src/opt/traintrain/icons/tec/32x32/BB104.png" "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/BB104.png"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/"
	cp -a "src/opt/traintrain/icons/tec/32x32/BB105.png" "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/BB105.png"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/"
	cp -a "src/opt/traintrain/icons/tec/32x32/BB106.png" "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/BB106.png"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/"
	cp -a "src/opt/traintrain/icons/tec/32x32/BB107.png" "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/BB107.png"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/"
	cp -a "src/opt/traintrain/icons/tec/32x32/BB108.png" "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/BB108.png"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/"
	cp -a "src/opt/traintrain/icons/tec/32x32/BB109.png" "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/BB109.png"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/"
	cp -a "src/opt/traintrain/icons/tec/32x32/BB110.png" "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/BB110.png"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/"
	cp -a "src/opt/traintrain/icons/tec/32x32/BB111.png" "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/BB111.png"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/"
	cp -a "src/opt/traintrain/icons/tec/32x32/BB112.png" "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/BB112.png"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/"
	cp -a "src/opt/traintrain/icons/tec/32x32/BB113.png" "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/BB113.png"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/"
	cp -a "src/opt/traintrain/icons/tec/32x32/BB114.png" "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/BB114.png"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/"
	cp -a "src/opt/traintrain/icons/tec/32x32/BB115.png" "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/BB115.png"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/"
	cp -a "src/opt/traintrain/icons/tec/32x32/BB116.png" "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/BB116.png"
	mkdir -p "$(CURDIR)/debian/traintrain/opt/traintrain/icons/tec/32x32/"
